Skip to content

Get User

Request

Retrieve user information

Security
bearerToken
Path
userIdstringrequired

User ID

curl -i -X GET \
  'https://docs.exolink.com/_mock/apis/exolink_api/user/{userId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

User information

Bodyapplication/json
userIdstring

Unique identifier for the user (UUID)

usernamestring

User's email address

emailstring

User's email address

givenNamestring

User's first name

familyNamestring

User's last name

mfaboolean

Whether multi-factor authentication is enabled

permsobject

User permissions per tenant (tenant domain prefix -> role mapping)

createdAtstring, (date-time)

When the user account was created

updatedAtstring, (date-time)

When the user account was last updated

Response
{ "userId": "string", "username": "string", "email": "string", "givenName": "string", "familyName": "string", "mfa": true, "perms": { "property1": "string", "property2": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }